Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model
Interface XSDNames

    public interface XSDNames

Author:
  Holger Knublauch

Nested Class Summary
`static interface` | `XSDNames.Facet`

Field Summary
`static String` | `ANY_URI`
`static String` | `BASE_64_BINARY`
`static String` | `BOOLEAN`
`static String` | `BYTE`
`static String` | `DATE`
`static String` | `DATE_TIME`
`static String` | `DECIMAL`
`static String` | `DOUBLE`
`static String` | `DURATION`
`static String` | `FLOAT`
`static String` | `INT`
`static String` | `INTEGER`
`static String` | `LONG`
`static String` | `NON_NEGATIVE_INTEGER`
`static String` | `PREFIX`
`static String` | `SHORT`
`static String` | `STRING`
`static String` | `TIME`
`static String` | `XSD_NAMESPACE`

Field Detail

### PREFIX

    static final String PREFIX

See Also:
  Constant Field Values

### XSD_NAMESPACE

    static final String XSD_NAMESPACE

See Also:
  Constant Field Values

### ANY_URI

    static final String ANY_URI

### BASE_64_BINARY

    static final String BASE_64_BINARY

### BOOLEAN

    static final String BOOLEAN

### BYTE

    static final String BYTE

### DATE

    static final String DATE

### DATE_TIME

    static final String DATE_TIME

### DECIMAL

    static final String DECIMAL

### DOUBLE

    static final String DOUBLE

### DURATION

    static final String DURATION

### FLOAT

    static final String FLOAT

### INT

    static final String INT

### INTEGER

    static final String INTEGER

### NON_NEGATIVE_INTEGER

    static final String NON_NEGATIVE_INTEGER

### LONG

    static final String LONG

### SHORT

    static final String SHORT

### STRING

    static final String STRING

### TIME

    static final String TIME

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.